Update my notification preferences
Update my notification preferences
Operation ID
update_notification_preferencesAuthorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
One person's notification choices. Instance channels are unaffected.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/users/me/notification-preferences" \ -H "Content-Type: application/json" \ -d '{ "approvals": true, "browser": true, "email": true, "followed_releases": true, "my_builds": "off", "weekly_digest": true }'{ "email_address": "string", "email_available": true, "preferences": { "approvals": true, "browser": true, "email": true, "followed_releases": true, "my_builds": "off", "weekly_digest": true }}